Advertencia de Kotlin: algunos files JAR en classpath tienen la biblioteca Kotlin Runtime incluida en ellos "

Por algún motivo, recibo esta advertencia cuando comienzo mi aplicación:

advertencia: algunos files JAR en el classpath tienen la biblioteca Kotlin Runtime incluida en ellos. Esto puede causar problemas difíciles de depurar si hay una versión diferente de la biblioteca Kotlin Runtime en el classpath. Considere eliminar estas bibliotecas de classpath o use '-Xskip-runtime-version-check' para suprimir esta advertencia de advertencia: la biblioteca tiene Kotlin runtime incluido en ella

Uso Gradle para build mi aplicación usando la kotlin-script-util , que noté que tiene una dependencia en kotlin-script-runtime que kotlin-script-runtime que era el problema. Por lo tanto, excluí esa dependencia en Gradle así:

 compile(group: 'org.jetbrains.kotlin', name: 'kotlin-script-util', version: kotlin_version) { exclude group: 'org.jetbrains.kotlin', module: 'kotlin-script-runtime' } 

Desafortunadamente no hay dados. ¿Alguien sabe cómo deshacerse de esta advertencia? -Xskip-runtime-version-check no es una opción para mi caso de uso.